digiKam Developer Documentation: Digikam::IOJobsThread Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::IOJobsThread Class Reference
Inheritance diagram for Digikam::IOJobsThread:

## Public Slots
void | slotCancel ()
| cancels thread execution

## Signals
void | collectionTrashItemInfo (const DTrashItemInfo &trashItemInfo)
void | signalFinished ()
void | signalOneProccessed (const QUrl &url)
void | signalRenameFailed (const QUrl &url)
void | signalTrashCountersMap (const QMap< QString, int > &counterMap)

## Public Member Functions
| IOJobsThread (QObject *const parent)
void | buildTrashCounters ()
| creates a job for count trash items from all collections
void | copyOrMove (IOJobData *const data)
| Starts a number of jobs to copy or move source files to destination.
void | deleteFiles (IOJobData *const data)
| Starts a number of jobs to delete multiple files.
void | emptyDTrashItems (IOJobData *const data)
| creates a job for every item to delete from collection trash
QStringList & | errorsList () const
bool | hasErrors () const
| hasErrors
bool | isCanceled () const
| isCanceled
IOJobData * | jobData () const
void | listDTrashItems (const QString &collectionPath)
| Starts a job for listing trash items in a collection.
void | renameFile (IOJobData *const data)
| Starts one job to rename a file to a new name.
void | restoreDTrashItems (IOJobData *const data)
| creates a job for every item to restore back to album
Public Member Functions inherited from Digikam::ActionThreadBase
| ActionThreadBase (QObject *const parent=nullptr)
void | cancel (bool isCancel=true)
| Cancel processing of current jobs under progress.
int | expiryTimeout () const
int | maximumNumberOfThreads () const
void | setDefaultMaximumNumberOfThreads ()
| Reset maximum number of threads used to parallelize collection of job processing to max core detected on computer.
void | setExpiryTimeout (int timeout)
| Adjust the thread expiry timeout value in milliseconds.
void | setMaximumNumberOfThreads (int n)
| Adjust maximum number of threads used to parallelize collection of job processing.

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::ActionThreadBase
static void | setCurrentThreadName (const QString &name)
| Call this method to customize a thread name visible in a process viewer.
Protected Slots inherited from Digikam::ActionThreadBase
virtual void | slotJobFinished ()
Protected Member Functions inherited from Digikam::ActionThreadBase
void | appendJobs (const ActionJobCollection &jobs)
| Append a collection of jobs to process into QThreadPool.
bool | isEmpty () const
int | pendingCount () const
void | run () override
| Main thread loop used to process jobs in todo list.

## Member Function Documentation

## ◆ copyOrMove()

void Digikam::IOJobsThread::copyOrMove | ( | IOJobData *const | data | ) |

Parameters

  data | IOJobsData container

## ◆ deleteFiles()

void Digikam::IOJobsThread::deleteFiles | ( | IOJobData *const | data | ) |

Parameters

  data | IOJobsData container

## ◆ emptyDTrashItems()

void Digikam::IOJobsThread::emptyDTrashItems | ( | IOJobData *const | data | ) |

Parameters

  data | IOJobsData container

## ◆ errorsList()

QStringList & Digikam::IOJobsThread::errorsList | ( |  | ) | const

Returns
  the current errors list

## ◆ hasErrors()

bool Digikam::IOJobsThread::hasErrors | ( |  | ) | const

Returns
  true if string list was not empty

## ◆ isCanceled()

bool Digikam::IOJobsThread::isCanceled | ( |  | ) | const

Returns
  true if the thread was interrupted

## ◆ jobData()

IOJobData * Digikam::IOJobsThread::jobData | ( |  | ) | const

Returns
  the current data job instance

## ◆ listDTrashItems()

void Digikam::IOJobsThread::listDTrashItems | ( | const QString & | collectionPath | ) |

Parameters

  collectionPath |

## ◆ renameFile()

void Digikam::IOJobsThread::renameFile | ( | IOJobData *const | data | ) |

Parameters

  data | IOJobsData container

## ◆ restoreDTrashItems()

void Digikam::IOJobsThread::restoreDTrashItems | ( | IOJobData *const | data | ) |

Parameters

  data | IOJobsData container